-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jan 16, 2014 at 05:20 PM
-- Server version: 5.5.25
-- PHP Version: 5.3.14

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Database: `mdu`
--

-- --------------------------------------------------------

--
-- Table structure for table `blog_blog_categories`
--

CREATE TABLE `blog_blog_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) DEFAULT NULL,
  `body` text,
  `is_active` tinyint(1) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `blog_blog_comments`
--

CREATE TABLE `blog_blog_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `author` varchar(50) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `comment` text,
  `blog_post_id` int(11) NOT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_blog_blog_comments_blog_blog_posts1_idx` (`blog_post_id`),
  KEY `fk_blog_blog_comments_blog_blog_comments1_idx` (`parent_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `blog_blog_posts`
--

CREATE TABLE `blog_blog_posts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `author` varchar(50) DEFAULT NULL,
  `posted` datetime DEFAULT NULL,
  `body` text,
  `blog_category_id` int(11) DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '0',
  `created` datetime DEFAULT NULL,
  `modified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_blog_blog_posts_blog_blog_category_idx` (`blog_category_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `blog_blog_tags`
--

CREATE TABLE `blog_blog_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(255) DEFAULT NULL,
  `blog_post_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_blog_blog_tags_blog_blog_posts1_idx` (`blog_post_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `blog_blog_comments`
--
ALTER TABLE `blog_blog_comments`
  ADD CONSTRAINT `fk_blog_blog_comments_blog_blog_comments1` FOREIGN KEY (`parent_id`) REFERENCES `blog_blog_comments` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_blog_blog_comments_blog_blog_posts1` FOREIGN KEY (`blog_post_id`) REFERENCES `blog_blog_posts` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `blog_blog_posts`
--
ALTER TABLE `blog_blog_posts`
  ADD CONSTRAINT `fk_blog_blog_posts_blog_blog_category` FOREIGN KEY (`blog_category_id`) REFERENCES `blog_blog_categories` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Constraints for table `blog_blog_tags`
--
ALTER TABLE `blog_blog_tags`
  ADD CONSTRAINT `fk_blog_blog_tags_blog_blog_posts1` FOREIGN KEY (`blog_post_id`) REFERENCES `blog_blog_posts` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;
SET FOREIGN_KEY_CHECKS=1;
